local version = "4.3.1"

function autoinviter_Handler( msg, box)
	msg = string.lower(msg)

	if( not msg or msg == "" or msg == "help" ) then
		print ("Список команд:")
		print ("    /wracm [keyword] добавляет или убирает ключевое слово для приглашения")
		print ("    /wracm help показывает подсказку")
		print ("    /wracm list показывает список действующих ключевых слов")
	elseif( msg == "list" ) then
		print ("List of magic words:");
		for i, _ in pairs (magics) do
			print( "  "..i)
		end
	else
		if( magics[msg] ) then
			magics[msg] = nil
			print ("Команда приглашения по '"..msg.."' удалена")
		else
			magics[msg] = 1
			print ("Теперь вы можете приглашать по шепоту '"..msg.."'")
		end
	end
end

function autoinviter_Whisper(...)
	local msg, user = ...
	msg = string.lower(msg)
	if( magics[msg] ) then
		SendChatMessage("Автоматическое приглашение аддоном", "WHISPER", nil, user);
		InviteUnit(user)
	end
	
end

function autoinviter_Init()
	if( not magics) then
		print "Первая загрузка, инициализация..."
		magics = {
			["inv"] = 1,
			["byd"] = 1,
			["штм"] = 1,
			["инв"] = 1,
			}
	end
	
	SLASH_ACM1 = '/acm';
	SLASH_ACM2 = '/wracm';
	
	SlashCmdList["ACM"] = autoinviter_Handler
	autoinviter_Frame:RegisterEvent("CHAT_MSG_WHISPER")

	print("Автоинвайтер WowRaider.Ru. Версия "..version.." Управление /acm, /wracm")
end
